Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class ContainerTransactionTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.ContainerTransactionTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ContainerTransactionType<T>

    public class ContainerTransactionTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ContainerTransactionType<T>

This class implements the `container-transactionType` xsd type

Original Documentation:

The container-transactionType specifies how the container
must manage transaction scopes for the enterprise bean's
method invocations. It defines an optional description, a
list of method elements, and a transaction attribute. The
transaction attribute is to be applied to all the specified
methods.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ContainerTransactionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ContainerTransactionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<MethodType<ContainerTransactionType<T>>>` | `getMethodList()` Returns all `method` elements
`TransAttributeType` | `getTransAttribute()` Returns the `trans-attribute` element
`java.lang.String` | `getTransAttributeAsString()` Returns the `trans-attribute` element
`MethodType<ContainerTransactionType<T>>` | `method()` Returns the `method` element
`ContainerTransactionType<T>` | `removeAllDescription()` Removes the `description` element
`ContainerTransactionType<T>` | `removeAllMethod()` Removes all `method` elements
`ContainerTransactionType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ContainerTransactionType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ContainerTransactionType<T>` | `setTransAttribute(java.lang.String transAttribute)` If not already created, a new `trans-attribute` element with the given value will be created.
`ContainerTransactionType<T>` | `setTransAttribute(TransAttributeType transAttribute)` If not already created, a new `trans-attribute` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerTransactionTypeImpl

    public ContainerTransactionTypeImpl(T t,
                                        java.lang.String nodeName,
                                        org.jboss.shrinkwrap.descriptor.spi.Node node)

### ContainerTransactionTypeImpl

    public ContainerTransactionTypeImpl(T t,
                                        java.lang.String nodeName,
                                        org.jboss.shrinkwrap.descriptor.spi.Node node,
                                        org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ContainerTransactionType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ContainerTransactionType<T>`
  Returns:
    the current instance of `ContainerTransactionType`

### setDescriptionList

    public ContainerTransactionType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ContainerTransactionType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ContainerTransactionType`

### removeAllDescription

    public ContainerTransactionType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ContainerTransactionType<T>`
  Returns:
    the current instance of `ContainerTransactionType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ContainerTransactionType<T>`
  Returns:
    list of `description`

### removeAllMethod

    public ContainerTransactionType<T> removeAllMethod()

  Removes all `method` elements

  Specified by:
    `removeAllMethod` in interface `ContainerTransactionType<T>`
  Returns:
    the current instance of `ContainerTransactionType`

### method

    public MethodType<ContainerTransactionType<T>> method()

  Returns the `method` element

  Specified by:
    `method` in interface `ContainerTransactionType<T>`
  Returns:
    the node defined for the element `method`

### getMethodList

    public java.util.List<MethodType<ContainerTransactionType<T>>> getMethodList()

  Returns all `method` elements

  Specified by:
    `getMethodList` in interface `ContainerTransactionType<T>`
  Returns:
    list of `method`

### setTransAttribute

    public ContainerTransactionType<T> setTransAttribute(TransAttributeType transAttribute)

  If not already created, a new `trans-attribute` element with the given value will be created. Otherwise, the existing `trans-attribute` element will be updated with the given value.

  Specified by:
    `setTransAttribute` in interface `ContainerTransactionType<T>`
  Returns:
    the current instance of `ContainerTransactionType`

### setTransAttribute

    public ContainerTransactionType<T> setTransAttribute(java.lang.String transAttribute)

  If not already created, a new `trans-attribute` element with the given value will be created. Otherwise, the existing `trans-attribute` element will be updated with the given value.

  Specified by:
    `setTransAttribute` in interface `ContainerTransactionType<T>`
  Returns:
    the current instance of `ContainerTransactionType`

### getTransAttribute

    public TransAttributeType getTransAttribute()

  Returns the `trans-attribute` element

  Specified by:
    `getTransAttribute` in interface `ContainerTransactionType<T>`
  Returns:
    the node defined for the element `trans-attribute`

### getTransAttributeAsString

    public java.lang.String getTransAttributeAsString()

  Returns the `trans-attribute` element

  Specified by:
    `getTransAttributeAsString` in interface `ContainerTransactionType<T>`
  Returns:
    the node defined for the element `trans-attribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD